
Redmine - Defect #20987

"h3(#my_anchor). My title" does not work

2015-10-14 10:01 - Stefan Lindner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.1

Description

The wiki for "" at http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Headings says:

Redmine assigns an anchor to each of those headings thus you can link to them with "#Heading", "#S

ubheading" and so forth.

You can add another anchor to a title : h3(#my_anchor). My title

 But this leads to

<h3 id="my_anchor">My title<a href="#My_title">...</a>

 and not to

<h3>My title<a href="#my_anchor">...</a>

 It generates an id  property not a link anchor.

History

#1 - 2015-11-02 12:54 - Toshi MARUYAMA

- Category changed from Wiki to Text formatting

#2 - 2015-11-02 13:11 - Toshi MARUYAMA

- Status changed from New to Closed

I removed this context.

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting/diff?utf8=%E2%9C%93&version=120&version_from=119&commit=View+

differences

http://www.redmine.org/projects/redmine/wiki/FrRedmineWikiFormatting/diff?utf8=%E2%9C%93&version=10&version_from=9&commit=View+dif

ferences

#3 - 2017-12-07 21:10 - yac yac

I can't find this change in changelog or issues to explain why this change was made and how to transion to the new headings.

I have users with extensive documentation in the wiki pages using this kind of explicit anchor. Are they supposed to go manually rewrite each of those

links or was this supposed to be handled during rake db:migrate or something? We are currently running redmine 3.2.7.

#4 - 2018-01-03 11:55 - Toshi MARUYAMA

yac yac wrote:

I can't find this change in changelog or issues to explain why this change was made and how to transion to the new headings.

 Some redmine.org wiki is free editing.

I don't know where this changes comes from.

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting/diff?utf8=%E2%9C%93&version=119&version_from=118&commit=View+differ

ences
